#include "MenuTextInventory_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextInventory_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextInventory_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_inventory;
}


std::shared_ptr<Entity> CreateMenuTextInventory_Player1Keyboard()
{
	return std::make_shared<MenuTextInventory_Player1Keyboard>();
}

